com.r3corda.core.utilities / ProgressTracker / Step

# Step

`class Step`

The superclass of all step objects.

### Constructors

<init> | `Step(label: String)` The superclass of all step objects.

### Properties

changes | `open val changes: <ERROR CLASS><Change>`
label | `open val label: String`

### Functions

childProgressTracker | `open fun childProgressTracker(): ProgressTracker?`

### Inheritors

ANNOUNCING | `object ANNOUNCING : Step`
APPROVING | `object APPROVING : Step`
AWAITING_PROPOSAL | `object AWAITING_PROPOSAL : Step`
AWAITING_PROPOSAL | `object AWAITING_PROPOSAL : Step`
BROADCASTING | `object BROADCASTING : Step`
COPYING_TO_REGULATOR | `object COPYING_TO_REGULATOR : Step`
DEALING | `object DEALING : Step`
DEALING | `object DEALING : Step`
DONE | `object DONE : Step`
LOADING | `class LOADING : Step`
NOTARISING | `object NOTARISING : Step`
NOTARY | `object NOTARY : Step`
NOTARY | `object NOTARY : Step`
NOTARY | `object NOTARY : Step`
NOTIFYING | `object NOTIFYING : Step`
QUERYING | `class QUERYING : Step`
RECEIVED | `object RECEIVED : Step`
RECEIVED | `object RECEIVED : Step`
RECEIVING | `object RECEIVING : Step`
RECEIVING | `object RECEIVING : Step`
RECORDING | `object RECORDING : Step`
RECORDING | `object RECORDING : Step`
REJECTING | `object REJECTING : Step`
REQUESTING | `object REQUESTING : Step`
RelabelableStep | `inner class RelabelableStep : Step` This class makes it easier to relabel a step on the fly, to provide transient information.
SENDING_SIGS | `object SENDING_SIGS : Step`
SENDING_SIGS | `object SENDING_SIGS : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SIGNING | `object SIGNING : Step`
SWAPPING_SIGNATURES | `object SWAPPING_SIGNATURES : Step`
SWAPPING_SIGNATURES | `object SWAPPING_SIGNATURES : Step`
UNSTARTED | `object UNSTARTED : Step`
VALIDATING | `object VALIDATING : Step`
VERIFYING | `object VERIFYING : Step`
VERIFYING | `object VERIFYING : Step`
VERIFYING | `object VERIFYING : Step`
VERIFYING | `object VERIFYING : Step`
VERIFYING | `object VERIFYING : Step`
WORKING | `object WORKING : Step`